Package org.gradle.api.reporting

# Interface SingleFileReport

All Superinterfaces:
  `org.gradle.util.Configurable<Report>`, `ConfigurableReport`, `Report`, `Serializable`

All Known Subinterfaces:
  `CustomizableHtmlReport`, `FindBugsXmlReport`

public interface SingleFileReport extends ConfigurableReport
A report that is a single file.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.reporting.Report

`Report.OutputType`

## Field Summary

### Fields inherited from interface org.gradle.api.reporting.Report

`NAMER`

## Method Summary

Modifier and Type
Method
Description
`File`
`getDestination()`
The location on the filesystem of the report when it is generated.
`Report.OutputType`
`getOutputType()`
Always returns `Report.OutputType.FILE`

### Methods inherited from interface org.gradle.util.Configurable

`configure`

### Methods inherited from interface org.gradle.api.reporting.ConfigurableReport

`setDestination, setDestination, setDestination, setEnabled, setEnabled`

### Methods inherited from interface org.gradle.api.reporting.Report

`getDisplayName, getName, isEnabled`

## Method Details

### getDestination

File getDestination()
Description copied from interface: `Report`
The location on the filesystem of the report when it is generated.

Depending on the `output type` of the report, this may point to a file or a directory.

Subtypes may implement setters for the destination.

Specified by:
  `getDestination` in interface `Report`
Returns:
  The location on the filesystem of the report when it is generated

### getOutputType

Report.OutputType getOutputType()
Always returns `Report.OutputType.FILE`

Specified by:
  `getOutputType` in interface `Report`
Returns:
  `Report.OutputType.FILE`